/* Problem URL: https://codeforces.com/contest/1883/problem/D */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (size_t i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (size_t i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

ll search(int i, int l, int r, int la, int ra, vi &seg)
{
    if (l > ra || r < la) {
        return 0;
    }

    if (l >= la && r <= ra) {
        return seg[i];
    }

    int mid = (l + r) / 2;
    return search(i * 2, l, mid, la, ra, seg) + search(i * 2 + 1, mid + 1, r, la, ra, seg);
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int q;
    cin >> q;
    V<tuple<char, ll, ll>> queries(q);
    set<ll> nums;
    for (auto &[op, l, r] : queries) {
        cin >> op >> l >> r;
        nums.insert(l);
        nums.insert(r);
    }

    map<ll, int> var;
    int act = 0;
    repv(i, nums) {
        var[i] = act;
        act++;
    }

    int n = q * 2;
    if (n > 1) {
        n = 1 << (32 - __builtin_clz(n));
    }

    vi segstart(n * 2);
    vi segend(n * 2);

    int internot = 0;
    for (auto &[op, l, r] : queries) {
        int al = var[l];
        int ar = var[r];
        if (op == '+') {
            segstart[n + al]++;
            for (size_t i = (n + al) / 2; i > 0; i /= 2) {
                segstart[i] = segstart[i * 2] + segstart[i * 2 + 1];
            }
            segend[n + ar]++;
            for (size_t i = (n + ar) / 2; i > 0; i /= 2) {
                segend[i] = segend[i * 2] + segend[i * 2 + 1];
            }
            if (al > 0) {
                internot += search(1, 0, n - 1, 0, al - 1, segend);
            }
            if (ar < n - 1) {
                internot += search(1, 0, n - 1, ar + 1, n - 1, segstart);
            }
        } else {
            segstart[n + al]--;
            for (size_t i = (n + al) / 2; i > 0; i /= 2) {
                segstart[i] = segstart[i * 2] + segstart[i * 2 + 1];
            }
            segend[n + ar]--;
            for (size_t i = (n + ar) / 2; i > 0; i /= 2) {
                segend[i] = segend[i * 2] + segend[i * 2 + 1];
            }
            if (al > 0) {
                internot -= search(1, 0, n - 1, 0, al - 1, segend);
            }
            if (ar < n - 1) {
                internot -= search(1, 0, n - 1, ar + 1, n - 1, segstart);
            }
        }

        if (internot > 0) {
            cout << "YES\n";
        } else {
            cout << "NO\n";
        }
    }
}
